Bug 1689678 - Panic in openshift-sdn, possibly due to internal types refactor
Summary: Panic in openshift-sdn, possibly due to internal types refactor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Michal Fojtik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-17 15:32 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:06 UTC

Description Clayton Coleman 2019-03-17 15:32:52 UTC
Observed on a system this weekend:

I0317 12:03:20.224363   48062 vnids.go:162] Dissociate netid 8969390 from namespace "e2e-tests-kubectl-p6l6w"
E0317 12:03:20.366999   48062 runtime.go:69] Observed a panic: &runtime.TypeAssertionError{interfaceString:"interface {}", concreteString:"*v1.NetworkPolicy", assertedString:"*networking.NetworkPolicy", missingMethod:""} (interface conversion: interface {} is *v1.NetworkPolicy, not *networking.NetworkPolicy)
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:76
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:65
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:51
/usr/local/go/src/runtime/asm_amd64.s:573
/usr/local/go/src/runtime/panic.go:502
/usr/local/go/src/runtime/iface.go:252
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/network/node/networkpolicy.go:526
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/network/node/networkpolicy.go:499
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/pkg/network/common/informers.go:41
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/cache/controller.go:209
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/cache/shared_informer.go:556
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:203
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:203
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/cache/shared_informer.go:548
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:134
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:88
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/cache/shared_informer.go:546
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/cache/shared_informer.go:390
/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:71
/usr/local/go/src/runtime/asm_amd64.s:2361
panic: interface conversion: interface {} is *v1.NetworkPolicy, not *networking.NetworkPolicy [recovered]
	panic: interface conversion: interface {} is *v1.NetworkPolicy, not *networking.NetworkPolicy

goroutine 238 [running]:
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime.HandleCrash(0x0, 0x0, 0x0)
	/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:58 +0x107
panic(0x185a7e0, 0xc42176c2c0)
	/usr/local/go/src/runtime/panic.go:502 +0x229

https://gcsweb-ci.svc.ci.openshift.org/gcs/origin-ci-test/logs/release-promote-openshift-machine-os-content-e2e-aws-4.0/30/artifacts/e2e-aws/pods/

It's very likely this is https://github.com/openshift/origin/pull/22326 so assigned to master team to start

This is a beta blocker if it can still happen.

Comment 1 Michal Fojtik 2019-03-18 10:12:12 UTC
Fix: https://github.com/openshift/origin/pull/22338

Comment 2 zhou ying 2019-03-21 03:34:41 UTC
The latest OCP still not contain the PR, so change status to ‘MODIFIED’。

Comment 3 Xingxing Xia 2019-03-21 07:31:52 UTC
Changing status per https://bugzilla.redhat.com/show_bug.cgi?id=1684547#c20

Comment 4 zhou ying 2019-03-26 06:41:33 UTC
From the latest origin-ci-test log, could not find the panic error ,so verify this: https://gcsweb-ci.svc.ci.openshift.org/gcs/origin-ci-test/logs/release-promote-openshift-machine-os-content-e2e-aws-4.0/56/artifacts/e2e-aws/pods/

Comment 6 errata-xmlrpc 2019-06-04 10:46:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.